Summary:	Fast anti-spam filtering by Bayesian statistical analysis
Name:		bogofilter
Version:	1.2.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/Mail
URL:		http://bogofilter.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/bogofilter/%{name}-%{version}.tar.bz2 
BuildRequires:	db4.7-devel
BuildRequires:	gsl-devel
BuildRequires:	valgrind
BuildRequires:	flex
BuildRequires:	xmlto
BuildRequires:	openjade
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Bogofilter is a Bayesian spam filter. In its normal mode of
operation, it takes an email message or other text on standard
input, does a statistical check against lists of "good" and
"bad" words, and returns a status code indicating whether or not
the message is spam. Bogofilter is designed with fast algorithms
(including Berkeley DB system), coded directly in C, and tuned for
speed, so it can be used for production by sites that process a
lot of mail.

%prep

%setup -q

%build

%configure2_5x \
    --disable-rpath \
    --disable-transactions \
    --with-database=db \
    --without-included-gsl

%make

%check
make DESTDIR="%{buildroot}" check BF_RUN_VALGRIND=1

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

mv %{buildroot}%{_sysconfdir}/bogofilter.cf.example %{buildroot}%{_sysconfdir}/bogofilter.cf

##include contrib...some my find it usefull
for d in contrib ; do
  install -d %{buildroot}%{_datadir}/%{name}/$d
  files=$(find "$d" -maxdepth 1 -type f -print)
  for f in $files ; do
    case $f in
      *.c|*.o|*.obj|*/Makefile*) continue ;;
      *.1)
    cp -p $f %{buildroot}%{_mandir}/man1 ;;
      *)
    cp -p $f %{buildroot}%{_datadir}/%{name}/$d ;;
    esac
  done
done

# it gets built, so why not install it?
##it is only needed to run check during build and does not need to be installed CAE
#install -m755 contrib/bogogrep %{buildroot}%{_bindir}/

# prepare for doc inclusion
for n in xml html ; do
  install -d .inst/$n
  install -m644 doc/*.$n .inst/$n
done
 
%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS GETTING.STARTED Doxyfile NEWS
%doc README* RELEASE.NOTES
%doc RELEASE.NOTES* TODO bogofilter.cf.example
%doc doc/README* doc/bogofilter-SA*
%doc doc/integrating-* 
%doc doc/rpm.notes.BerkeleyDB 
%doc .inst/html .inst/xml
%doc trio/AUTHORS trio/CHANGES trio/README 
%doc contrib/README*
%config(noreplace) %{_sysconfdir}/bogofilter.cf
%{_bindir}/*
%{_datadir}/bogofilter
%{_mandir}/man1/*


%changelog
* Tue Feb 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.0-1mdv2009.1
+ Revision: 344436
- build against db4.7
- update to new version 1.2.0

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.7-2mdv2009.0
+ Revision: 266301
- rebuild early 2009.0 package (before pixel changes)

* Wed May 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.7-1mdv2009.0
+ Revision: 202667
- new version
- drop patch 0 and 1, not usefull imho
- enable valgrind test
- add missing buildrequires

* Fri Jan 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.6-3mdv2008.1
+ Revision: 147813
- disable transactional mode in Berkeley DB, probably this causes bug #36504
- do not package INSTALL file

* Sun Dec 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.6-2mdv2008.1
+ Revision: 139395
- rebuild against db4.6
- new license policy
- do not package COPYING file

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Andreas Hasenack <andreas@mandriva.com> 1.1.6-1mdv2008.1
+ Revision: 116019
- updated to version 1.1.6

* Tue Sep 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.5-2mdv2008.0
+ Revision: 89868
- remove dead configure option
- disable rpath
- enable transactions
- use system gsl library
- compile with support with Berkeley's database
- spec file clean


* Mon Jan 15 2007 Andreas Hasenack <andreas@mandriva.com> 1.1.5-1mdv2007.0
+ Revision: 109070
- updated to version 1.1.5

* Tue Jan 02 2007 Andreas Hasenack <andreas@mandriva.com> 1.1.4-1mdv2007.1
+ Revision: 103125
- updated to version 1.1.4

* Fri Dec 22 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-1mdv2007.1
+ Revision: 101622
- Import bogofilter

* Fri Aug 25 2006 Charles A Edwards <eslrahc@mandriva.org> 1.1.1-1mdv2007.0
- 1.1.1
- drop patch1....fixed upstream
- drop source1-urpmi.readme....should no longer be needed

* Sat Aug 12 2006 Charles A Edwards <eslrahc@mandriva.org> 1.1.0-2mdv2007.0
- add patch from David Relson <relson@osagesoftware.com>
- re-enable make check

* Sat Aug 12 2006 Charles A Edwards <eslrahc@mandriva.org> 1.1.0-1mdv2007.0
- 1.1.0
- don't run make check

* Tue Jul 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-1mdk
- New release 1.0.3

* Mon May 08 2006 Jerome Soyer <saispo@mandriva.org> 1.0.2-1mdk
- New release 1.0.2

* Fri Feb 03 2006 Jerome Soyer <saispo@mandriva.org> 1.0.1-1mdk
- New release 1.0.1

* Fri Dec 02 2005 Lenny Cartier <lenny@mandriva.com> 1.0.0-1mdk
- 1.0.0

* Wed Nov 23 2005 Lenny Cartier <lenny@mandriva.com> 0.96.6-1mdk
- 0.96.6

* Thu Oct 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.96.2-1mdk
- 0.96.2

* Fri Jul 29 2005 Oden Eriksson <oeriksson@mandriva.com> 0.95.2-1mdk
- 0.95.2
- andreas:
  - added novalgrindtest patch so we can remove the buildconflicts
    for it

* Sat Apr 09 2005 Charles A Edwards <eslrahc@mandrake.org> 0.94.4-1mdk
- 0.94.4

* Thu Mar 31 2005 Charles A Edwards <eslrahc@mandrake.org> 0.94.3-1mdk
- 0.94.3

* Fri Mar 25 2005 Charles A Edwards <eslrahc@mandrake.org> 0.94.2-1mdk
- 0.94.2

* Mon Mar 21 2005 Charles A Edwards <eslrahc@mandrake.org> 0.94.1-2mdk
- include /contrib
- better placement og *.html and *.xml

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 0.94.1-1mdk
- 0.94.1

* Mon Mar 07 2005 Charles A Edwards <eslrahc@mandrake.org> 0.94-1mdk
- new release
- builf with transactions

* Sun Jan 09 2005 Charles A Edwards <eslrahc@mandrake.org> 0.93.4-1mdk
- new release

* Mon Dec 27 2004 Charles A Edwards <eslrahc@mandrake.org> 0.93.3.1-1mdk
- new release

* Fri Dec 03 2004 Charles A Edwards <eslrahc@mandrake.org> 0.93.2-1mdk
- 0.93.2
- use db4.2
- simplify listing for bin and man

* Wed Nov 17 2004 Charles A Edwards <eslrahc@mandrake.org> 0.93.1-1mdk
- 0.93.1

* Sun Nov 07 2004 Charles A Edwards <eslrahc@mandrake.org> 0.93.0-1mdk
- 0.93
- READDME.urpmi

* Wed Oct 20 2004 Charles A Edwards <eslrahc@mandrake.org> 0.92.8-1mdk
- 0.92.8
- more updates to doc list

* Sat Oct 16 2004 Charles A Edwards <eslrahc@mandrake.org> 0.92.7-1mdk
- 0.92.7
- update doc list

* Tue Aug 24 2004 Charles A Edwards <eslrahc@mandrake.org> 0.92.6-1mdk
- 0.92.6

* Sat Aug 21 2004 Charles A Edwards <eslrahc@mandrake.org> 0.92.5-1mdk
- 0.92.5

* Sat Jul 31 2004 Charles A Edwards <eslrahc@mandrake.org> 0.92.4-1mdk
- 0.92.4

* Wed Jul 28 2004 Charles A Edwards <eslrahc@mandrake.org> 0.92.3-1mdk
- 0.92.3

* Fri Jul 16 2004 Charles A Edwards <eslrahc@mandrake.org> 0.92.2-1mdk
- 0.92.2

* Fri Jul 02 2004 Charles A Edwards <eslrahc@mandrake.org> 0.92.1-1mdk
- 0.92.1

* Mon Jun 28 2004 Charles A Edwards <eslrahc@mandrake.org> 0.92.0-1mdk
- 0.92.0

* Mon Jun 21 2004 Charles A Edwards <eslrahc@mandrake.org> 0.91.4-1mdk
- 0.91.4

* Thu Jun 17 2004 Charles A Edwards <eslrahc@mandrake.org> 0.91.3-1mdk
- 0.91.3

* Thu Jun 10 2004 Charles A Edwards <eslrahc@mandrake.org> 0.91.1-1mdk
- 0.91.1
- add buildconflict valgrind

* Sun May 23 2004 Charles A Edwards <eslrahc@mandrake.org> 0.91.0-1mdk
- 0.91.0
- drop BR for autoconf2.5--now default

* Mon May 10 2004 <Charles A Edwards <eslrahc@mandrake.org> 0.90.0-1mdk
- 0.90.0

* Fri Apr 02 2004 Charles A Edwards <eslrahc@mandrake.org> 0.17.4-1mdk
- 0.17.4

* Tue Feb 24 2004 Charles A Edwards <eslrahc@mandrake.org> 0.17.2-1mdk
- 0.17.2

